
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO

IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'dur_tran_str_9' )
    DROP PROCEDURE dur_tran_str_9
GO

CREATE PROC dur_tran_str_9
                @counter    int
AS
DECLARE @acid_test      char(25),
        @rand_o_key     bigint,
        @rand_l_key     bigint,
        @rand_delta     int

--  Get random values based on the counter passed to the stored proc
SELECT  @rand_o_key = acid_o_key,
        @rand_l_key = acid_l_key,
        @rand_delta = acid_delta
FROM    acid_values_dur_str_9
WHERE   seq_num     = @counter

SELECT  "Random Values Used",
        @rand_o_key "@RAND_O_KEY",
        @rand_l_key "@RAND_L_KEY",
        @rand_delta "@RAND_DELTA",
        @counter    "SEQ NUMBER"

EXEC	acid_dur_tran_com	@rand_o_key,
							@rand_l_key,
							@rand_delta

GO


