--  File:     ACID_HIST.SQL 
--            Microsoft TPC-H Benchmark Kit Ver. 2.14.0-1010
--            Copyright Microsoft, 2010, 2011
--  Purpose:  Creates HISTORY tables for TPC-H ACID tests
--

if exists ( select name from sysobjects where name = 'HISTORY_ACI' )
	drop table HISTORY_ACI

create table HISTORY_ACI
(
	H_P_KEY				bigint,
	H_S_KEY				bigint,
	H_O_KEY				bigint,
	H_L_KEY				bigint,
	H_DELTA				tinyint,
	H_DATE_T			datetime
)

GO

if exists ( select name from sysobjects where name = 'HISTORY_DUR' )
	drop table HISTORY_DUR

create table HISTORY_DUR
(
	H_P_KEY				bigint,
	H_S_KEY				bigint,
	H_O_KEY				bigint,
	H_L_KEY				bigint,
	H_DELTA				tinyint,
	H_DATE_T			datetime
)

GO
