if exists (select name from sysdatabases where name = 'tpch1gcci') drop database tpch1gcci

CREATE DATABASE tpch1gcci ON PRIMARY
(   NAME        = tpch1gcci_root, 
    FILENAME    = '/Sql_Data_1/tpch1gcci_root_1.mdf', 
    SIZE        = 10MB, 
    FILEGROWTH  = 10MB),
FILEGROUP DATA_FG --DEFAULT
    (NAME = tpch1gcci_Data_1,  FILENAME = '/Sql_Data_1/tpch1gcci_Data_1.mdf',   SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_2,  FILENAME = '/Sql_Data_2/tpch1gcci_Data_2.mdf',   SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_3,  FILENAME = '/Sql_Data_5/tpch1gcci_Data_3.mdf',   SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_4,  FILENAME = '/Sql_Data_4/tpch1gcci_Data_4.mdf',   SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_5,  FILENAME = '/Sql_Data_1/tpch1gcci_Data_5.mdf',   SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_6,  FILENAME = '/Sql_Data_2/tpch1gcci_Data_6.mdf',   SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_7,  FILENAME = '/Sql_Data_5/tpch1gcci_Data_7.mdf',   SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_8,  FILENAME = '/Sql_Data_4/tpch1gcci_Data_8.mdf',   SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_9,  FILENAME = '/Sql_Data_1/tpch1gcci_Data_9.mdf',   SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_10, FILENAME = '/Sql_Data_2/tpch1gcci_Data_10.mdf', SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_11, FILENAME = '/Sql_Data_5/tpch1gcci_Data_11.mdf', SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_12, FILENAME = '/Sql_Data_4/tpch1gcci_Data_12.mdf', SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_13, FILENAME = '/Sql_Data_1/tpch1gcci_Data_13.mdf', SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_14, FILENAME = '/Sql_Data_2/tpch1gcci_Data_14.mdf', SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_15, FILENAME = '/Sql_Data_5/tpch1gcci_Data_15.mdf', SIZE = 70MB, FILEGROWTH = 10MB),
    (NAME = tpch1gcci_Data_16, FILENAME = '/Sql_Data_4/tpch1gcci_Data_16.mdf', SIZE = 70MB, FILEGROWTH = 10MB)
LOG ON 
	(	NAME		= tpch1gcci_log1, 
		FILENAME	= '/Sql_Log/tpch1gcci_log1.ldf',
		SIZE		= 100GB,
        FILEGROWTH  = 100MB)

COLLATE Latin1_General_BIN

ALTER DATABASE tpch1gcci SET RECOVERY SIMPLE
			   
ALTER DATABASE tpch1gcci SET AUTO_CREATE_STATISTICS OFF
			   
ALTER DATABASE tpch1gcci SET AUTO_UPDATE_STATISTICS OFF
			   
ALTER DATABASE tpch1gcci SET PAGE_VERIFY NONE
